您好,欢迎访问代理记账网站
  • 价格透明
  • 信息保密
  • 进度掌控
  • 售后无忧

python2.7安装pyqt4

起因

由于pyqt5对于pyqt4部分功能不兼容,因此在使用旧包的时候会报错。

这里尝试安装pyqt4,但是发现pyqt4的官方.exe安装包已经不提供支持,使用pip install Pyqt4也会失效,因此直接绕过这些步骤,使用.whl文件进行安装。

下载

https://www.lfd.uci.edu/~gohlke/pythonlibs/#pyqt4

下载对应的whl,我为:PyQt4-4.11.4-cp27-cp27m-win32.whl

此处的 cp27表示python27版本,win32表示32位的(一般情况下我们的python版本都是支持32位的)

安装

在 PyQt4-4.11.4-cp27-cp27m-win32.whl 所在的文件夹位置,上方的地址栏中输入cmd,打开命令行工具,然后输入

pip install PyQt4-4.11.4-cp27-cp27m-win32.whl

安装成功


分享:

低价透明

统一报价,无隐形消费

金牌服务

一对一专属顾问7*24小时金牌服务

信息保密

个人信息安全有保障

售后无忧

服务出问题客服经理全程跟进